Subject: bug#46687: 28.0.50; Emacs freezes when disabling toolbar

From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
Date: Tue, 23 Feb 2021 08:59:22 +0100

Hi Alan,

answers inline

El lun, 22 feb 2021 a las 19:24, Alan Third (<[email-masked]>) escribió:

> On Mon, Feb 22, 2021 at 12:45:13PM +0100, PEDRO ANDRES ARANDA GUTIERREZ
> wrote:
> > PS: interestingly, it happens both on My MacBook Pro (10.13) and my
> Macbook Air (10.15)… My configure is:
> >
> > ./autogen.sh
> > ./configure --without-x --with-ns --with-modules \
> >  --with-xpm --with-jpeg \
> >  --enable-silent-rules \
> >  PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
> >  LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include" \
> >  CC=clang OBJC=clang CFLAGS="-g -O2”
> >
> > From a clean git clone. I use macholib to create the standalone.
>
> Does it make any difference if you just do
>
>     ./configure
>
> without all the rest?

Tested that and the answer is no.

> (Do you use Homebrew?)

I use my fork of RUDIX (https://github.com/paaguti/rudix) mainly for GNUTLS
in the case of Emacs

> Can you please comment out the call to redisplay in nsterm.m at around
> line 8502 and try again? I expect this will completely fix it.
>

Did that and it fixes the freeze. However, when you start with
tool-bar-mode enabled, the window isn't drawn correctly. If you start with
(tool-bar-mode -1) and keep it like that, that seems to be a sort of
temporary fix.

-- 
> Alan Third

Let me know if you need more tests...
Thx, /PA

-- 
---
PEDRO ANDRES ARANDA GUTIERREZ
Universidad Carlos III de Madrid

"Fragen sind nicht da um beantwortet zu werden.
Fragen sind da, um gestellt zu werden" Georg Kreisler